Package nl.tudelft.simulation.examples.dsol.terminal

# Class Terminal

java.lang.Object
nl.tudelft.simulation.event.EventProducer
nl.tudelft.simulation.dsol.model.AbstractDSOLModel<Double,​Double,​SimTimeDouble,​S>
nl.tudelft.simulation.dsol.model.AbstractDSOLModel.TimeDouble<DEVSSimulatorInterface.TimeDouble>
nl.tudelft.simulation.examples.dsol.terminal.Terminal

All Implemented Interfaces:
  `Serializable`, `EventListener`, `DSOLModel<Double,​Double,​SimTimeDouble,​DEVSSimulatorInterface.TimeDouble>`, `DSOLModel.TimeDouble<DEVSSimulatorInterface.TimeDouble>`, `EventListenerInterface`, `EventProducerInterface`

    public class Terminal
    extends AbstractDSOLModel.TimeDouble<DEVSSimulatorInterface.TimeDouble>
    implements EventListenerInterface

A simple model of a container terminal.
(c) copyright 2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `Terminal.Output` |

## Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`AbstractDSOLModel.CalendarDouble<S extends SimulatorInterface.CalendarDouble>, AbstractDSOLModel.CalendarFloat<S extends SimulatorInterface.CalendarFloat>, AbstractDSOLModel.CalendarLong<S extends SimulatorInterface.CalendarLong>, AbstractDSOLModel.TimeDouble<S extends SimulatorInterface.TimeDouble>, AbstractDSOLModel.TimeDoubleUnit<S extends SimulatorInterface.TimeDoubleUnit>, AbstractDSOLModel.TimeFloat<S extends SimulatorInterface.TimeFloat>, AbstractDSOLModel.TimeFloatUnit<S extends SimulatorInterface.TimeFloatUnit>, AbstractDSOLModel.TimeLong<S extends SimulatorInterface.TimeLong>`

## Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.model.DSOLModel

`DSOLModel.CalendarDouble<S extends SimulatorInterface.CalendarDouble>, DSOLModel.CalendarFloat<S extends SimulatorInterface.CalendarFloat>, DSOLModel.CalendarLong<S extends SimulatorInterface.CalendarLong>, DSOLModel.TimeDouble<S extends SimulatorInterface.TimeDouble>, DSOLModel.TimeDoubleUnit<S extends SimulatorInterface.TimeDoubleUnit>, DSOLModel.TimeFloat<S extends SimulatorInterface.TimeFloat>, DSOLModel.TimeFloatUnit<S extends SimulatorInterface.TimeFloatUnit>, DSOLModel.TimeLong<S extends SimulatorInterface.TimeLong>`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static boolean` | `DEBUG` | debug info or not.
`static EventType` | `READY_EVENT` | the ship-full event.

### Fields inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`inputParameterMap, outputStatistics, simulator`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Terminal​(DEVSSimulatorInterface.TimeDouble simulator, int rep)` | constructor for the Container Terminal.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `constructModel()`
`Ship` | `getShip()` |
`void` | `notify​(EventInterface event)`

### Methods inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`addInputParameter, getInputParameter, getInputParameterMap, getOutputStatistics, getSimulator`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.dsol.model.DSOLModel

`getInputParameterMap, getOutputStatistics, getSimulator`

## Field Details

### READY_EVENT

public static final EventType READY_EVENT
the ship-full event.

### DEBUG

public static final boolean DEBUG
debug info or not.

See Also:
  Constant Field Values

## Constructor Details

### Terminal

public Terminal​(DEVSSimulatorInterface.TimeDouble simulator, int rep) throws InputParameterException
constructor for the Container Terminal.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator
  `rep` - int; the replication number
Throws:
  `InputParameterException` - on input parameter error

## Method Details

### constructModel

public final void constructModel() throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,​Double,​SimTimeDouble,​DEVSSimulatorInterface.TimeDouble>`
Throws:
  `SimRuntimeException`

### getShip

public Ship getShip()

Returns:
  the ship for pub/sub

### notify

public void notify​(EventInterface event)

Specified by:
  `notify` in interface `EventListenerInterface`